package sikd.sikd5.model.combo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import sikd.sikd5.sikd5bean.tabel.Pemda;

/**
 *
 * @author soraturaes
 */
public class PemdaCombo implements Serializable{
    String idPanel = "idPanelPemda";
    boolean view = true;
    String align = "center";
    String idCombo = "idComboPemda";
    Pemda selectedPemda;
    boolean mode = false;
    List<Pemda> pemdas;
    String update="";
    String label = "Pemerintah Daerah";
    String labelStyle = "width: 140px; padding: 5px;";

    public PemdaCombo() {
        
    }
    public PemdaCombo(boolean view, boolean mode, String update) {
        this.view = view;
        this.mode = mode;
        this.update = update;
    }
    public PemdaCombo(boolean view, boolean mode, String update, String label) {
        this.view = view;
        this.mode = mode;
        this.update = update;
        this.label = label;
    }
    public PemdaCombo(String idPanel, boolean view, String align, String idCombo, boolean mode, String update, String label) {
        this.idPanel = idPanel;
        this.view = view;
        this.align = align;
        this.idCombo = idCombo;
        this.mode = mode;
        this.update = update;
        this.label = label;
    }

    public String getIdPanel() {
        return idPanel;
    }

    public void setIdPanel(String idPanel) {
        this.idPanel = idPanel;
    }

    public boolean isView() {
        return view;
    }

    public void setView(boolean view) {
        this.view = view;
    }

    public String getAlign() {
        return align;
    }

    public void setAlign(String align) {
        this.align = align;
    }

    public Pemda getSelectedPemda() {
        return selectedPemda;
    }

    public void setSelectedPemda(Pemda selectedPemda) {
        this.selectedPemda = selectedPemda;
    }

    public boolean isMode() {
        return mode;
    }

    public void setMode(boolean mode) {
        this.mode = mode;
    }

    public List<Pemda> getPemdas() {
        return pemdas;
    }

    public void setPemdas(List<Pemda> pemdas) {
        this.pemdas = pemdas;
    }
    public void addPemda(Pemda pemda) {
        if(pemdas == null ) pemdas = new ArrayList();
        this.pemdas.add(pemda);
    }

    public String getIdCombo() {
        return idCombo;
    }

    public void setIdCombo(String idCombo) {
        this.idCombo = idCombo;
    }

    public String getUpdate() {
        return update;
    }

    public void setUpdate(String update) {
        this.update = update;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getLabelStyle() {
        return labelStyle;
    }

    public void setLabelStyle(String labelStyle) {
        this.labelStyle = labelStyle;
    }
}
